# Tarfile created using git
# git clone git://git.gnome.org/jana
# git archive --format=tar --prefix=jana-0.4.5/ %{git_version} | bzip2 > jana-0.4.5-20090622.tar.bz2

%define gitdate 20090622
%define git_version b416a41
%define tarfile %{name}-%{version}-%{gitdate}.tar.bz2
%define snapshot %{gitdate}git%{git_version}

Name:           jana
Version:        0.4.5
Release:        0.3.%{snapshot}%{?dist}
Summary:        An interface library for time-related PIM

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://git.gnome.org/cgit/jana/
Source0:        %{tarfile}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: evolution-data-server-devel
BuildRequires: gtk2-devel
BuildRequires: GConf2-devel
BuildRequires: gtk-doc
BuildRequires: intltool

# Require these because we're using a git snapshot
BuildRequires: libtool
BuildRequires: gnome-common

%description
An interface library for time-related personal information management related
data.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk-doc
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q

# Don't run configure from autogen.sh
sed -i 's|echo|exit 0|g' autogen.sh
./autogen.sh

%build
%configure --disable-static --enable-gtk-doc 
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
rm -rf %{buildroot}/%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libjana*.so.0.0.0
%{_libdir}/libjana*.so.0
%{_datadir}/jana

%files devel
%defattr(-,root,root,-)
%{_includedir}/jana
%{_libdir}/pkgconfig/libjana*pc
%{_libdir}/libjana.so
%{_libdir}/libjana-ecal.so
%{_libdir}/libjana-gtk.so
%{_datadir}/gtk-doc/html/libjana-ecal
%{_datadir}/gtk-doc/html/libjana-gtk
%{_datadir}/gtk-doc/html/libjana

%changelog
* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.5-0.3.20090622gitb416a41
- A few minor spec cleanups

* Fri Jul  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.5-0.2.20090622gitb416a41
- Updates from package review

* Mon Jun 22 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.5-0.1.20090622gitb416a41
- Initial packaging
